Package org.apache.sysds.runtime.matrix.data

# Class LibMatrixReplace

java.lang.Object
org.apache.sysds.runtime.matrix.data.LibMatrixReplace

public class LibMatrixReplace extends Object

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`replaceOperations(MatrixBlock in, MatrixBlock ret, double pattern, double replacement)`
`static MatrixBlock`
`replaceOperations(MatrixBlock in, MatrixBlock ret, double pattern, double replacement, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### replaceOperations

public static MatrixBlock replaceOperations(MatrixBlock in, MatrixBlock ret, double pattern, double replacement)

### replaceOperations

public static MatrixBlock replaceOperations(MatrixBlock in, MatrixBlock ret, double pattern, double replacement, int k)